# __gnu_cxx::project2nd< _Arg1, _Arg2 > Struct Template Reference
[STL extensions from SGI]

An SGI extension . More...

List of all members.

## Public Types

typedef _Arg1 | first_argument_type
| the type of the first argument (no surprises here)
typedef _Arg2 | second_argument_type
| the type of the second argument
typedef _Result | result_type
| type of the return type

## Detailed Description

### template<class _Arg1, class _Arg2>
struct __gnu_cxx::project2nd< _Arg1, _Arg2 >

An SGI extension .

Definition at line 227 of file ext/functional.

## Member Typedef Documentation

template<class _Arg1, class _Arg2, class _Result>
typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type`[inherited]`

| the type of the first argument (no surprises here) Definition at line 112 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>
typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type`[inherited]`

| type of the return type Definition at line 114 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>
typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type`[inherited]`

| the type of the second argument Definition at line 113 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional